# Uses of Class
javax.swing.text.html.StyleSheet

Packages that use StyleSheet
Package
Description
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of StyleSheet in javax.swing.text.html

Methods in javax.swing.text.html that return StyleSheet
Modifier and Type
Method
Description
`protected StyleSheet`
BlockView.`getStyleSheet()`
Convenient method to get the StyleSheet.
`StyleSheet`
HTMLDocument.`getStyleSheet()`
Fetches the `StyleSheet` with the document-specific display rules (CSS) that were specified in the HTML document itself.
`StyleSheet`
HTMLEditorKit.`getStyleSheet()`
Get the set of styles currently being used to render the HTML elements.
`protected StyleSheet`
ImageView.`getStyleSheet()`
Convenient method to get the StyleSheet.
`protected StyleSheet`
InlineView.`getStyleSheet()`
Convenient method to get the StyleSheet.
`protected StyleSheet`
ParagraphView.`getStyleSheet()`
Convenient method to get the StyleSheet.
`StyleSheet[]`
StyleSheet.`getStyleSheets()`
Returns an array of the linked StyleSheets.
Methods in javax.swing.text.html with parameters of type StyleSheet
Modifier and Type
Method
Description
`void`
StyleSheet.`addStyleSheet(StyleSheet ss)`
Adds the rules from the StyleSheet `ss` to those of the receiver.
`void`
StyleSheet.`removeStyleSheet(StyleSheet ss)`
Removes the StyleSheet `ss` from those of the receiver.
`void`
HTMLEditorKit.`setStyleSheet(StyleSheet s)`
Set the set of styles to be used to render the various HTML elements.
Constructors in javax.swing.text.html with parameters of type StyleSheet
Modifier
Constructor
Description
``
`HTMLDocument(AbstractDocument.Content c, StyleSheet styles)`
Constructs an HTML document with the given content storage implementation and the given style/attribute storage mechanism.
``
`HTMLDocument(StyleSheet styles)`
Constructs an HTML document with the default content storage implementation and the specified style/attribute storage mechanism.